# LonghornShareManagerOff

## Meaning

Longhorn share manager count is off. This is likely due to a recent bug in Longhorn. It should be fixed in Longhorn version 1.6.1 and can be mitigated by an earlier [hotfix](https://github.com/longhorn/longhorn/issues/7183#issuecomment-1871244631). If this fix failed, this alert can reappear.

## Impact

When not all share-manager Pods are up, this means that RWX volumes are not usable or will stall on IO.

Pods needed these volumes might not start properly.

## Diagnosis

Check the number of expected Longhorn share manager and their status:

```shell
kubectl get lhsm -n longhorn-system
```

Compare them to the actual number of share-manager's running:

```shell
kubectl get pods -n longhorn-system | grep share-manager
```

## Mitigation

Patch the longhorn share manager object with an error status:

```shell
kubectl -n longhorn-system patch lhsm --type=merge --subresource status --patch 'status: {state: error}' <longhorn share name>
```

## References

- [Longhorn Bug 7183](https://github.com/longhorn/longhorn/issues/7183#issuecomment-1823715359)