# MetalLBAddressPoolExhausted

## Meaning

The MetalLB address pool for services of type LoadBlancer is exhausted. There are no addresses remaining.

## Impact

With all addresses used up, new services of type LoadBalancer will not provision successfully.

## Diagnosis

Check the existing MetalLB pools:

```shell
kubectl get ipaddresspools.metallb.io -A
```

Also check the current services for resource leakage:

```shell
kubectl get services --all-namespaces | grep LoadBalancer
```

## Mitigation

Cleanup old/unused services or add another `IPAddressPool` with additional IP addresses.
