# KubeNodeUnschedulableCritical

## Meaning

At least one Kubernetes node is marked as unschedulable for 24 hours.

This can be an intended situation, but often indicates that something is blocking an update.

## Impact

When Nodes are marked as unschedulable for an extended period of time, workloads can not get scheduled on them, reducing the resiliency of the cluster.

## Diagnosis

Find the unscheduable Node:

```shell
kubectl get nodes
```

Check taints and events:

```shell
kubectl describe nodes <relevant node>
```

check for blocking `PodDisruptionBudgets`:

```shell
kubectl get pdb --all-namespaces
```

## Mitigation

Resolve the problem blocking workload that. Most likely there is some draining not going through due to a blocking `PodDisruptionBudget`.