# Summary

# Infrastructure

- [About](about.md)
- [Hardware](hardware/README.md)
  - [Node](hardware/node.md)
  - [NAS](hardware/nas.md)
  - [UPS](hardware/ups.md)
- [Operating System](operating_system.md)
- [Concepts](concepts/README.md)
  - [GitOps](concepts/gitops.md)
  - [Releases](concepts/releases.md)
  - [SRE](concepts/sre.md)
  - [Monitoring](concepts/monitoring.md)
  - [Ingress Termination](concepts/ingress-termination.md)
  - [Software Lifecycle](concepts/lifecycle.md)
  - [Power Consumption](concepts/power-consumption.md)
  - [Backup](concepts/backup.md)
- [Apps](apps/README.md)
  - [Blog](apps/blog.md)
  - [Keycloak](apps/keycloak.md)
  - [Mastodon](apps/mastodon.md)
  - [Matrix](apps/matrix.md)
  - [Minio](apps/minio.md)
  - [Jellyfin](apps/jellyfin.md)
  - [Immich](apps/immich.md)
  - [Paperless](apps/paperless.md)
  - [Find My Device](apps/findmydevice.md)
  - [Forecastle](apps/forecastle.md)
  - [Ansteckschildchen](apps/ansteckschildchen.md)
  - [S3Dav-Proxy](apps/s3dav-proxy.md)
  - [Harbor](apps/goharbor.md)
  - [CrowdSec](apps/crowdsec.md)
- [Infrastructure Components](components/README.md)
  - [Calico](components/calico.md)
  - [Cert-Manager](components/cert-manager.md)
  - [FluxCD](components/flux.md)
  - [Longhorn](components/longhorn.md)
  - [MetalLB](components/metallb.md)
  - [Monitoring](components/monitoring.md)
  - [Ingress-Nginx](components/nginx-system.md)
  - [Node-Features-Discovery](components/node-features.md)
  - [PostgreSQL](components/postgresql.md)
  - [System Upgrades Controller](components/system-upgrades.md)
  - [gVisor](components/gvisor.md)
  - [kata-containers](components/kata-containers.md)
  - [oauth2-proxy](components/oauth2-proxy.md)
- [Helm Charts](charts/README.md)
  - [HedgeDoc](charts/hedgedoc.md)
  - [Keycloak](charts/keycloak.md)
  - [Mastodon](charts/mastodon.md)
  - [MoK](charts/mok.md)
  - [nut-exporter](charts/nut-exporter.md)
- [Images](images/README.md)
  - [cowsay](images/cowsay.md)
  - [Dovecot](images/dovecot.md)
  - [Jellyfin PDB Manager](images/jellyfin-pdb-mgr.md)
  - [Koolbox](images/koolbox.md)
  - [Postfix](images/postfix.md)
  - [synadm](images/synadm.md)

---

# Links
