CrowdSec
===

CrowdSec is a modern implementation of Fail2Ban with some additional bells and whistles.

It allows usage of a centralised API that collect and distributes community (and comercial) blocklists that people can subscribe to. This allows to share insights and a broader view for malicious IPs based on behaviour collected from millions of production and honeypot systems.

As fail2ban, crowdsec collects data by parsing logs and triggering actions based on that. It provides a multitude of actions, such as banning, trigering a captcha or throttling traffic. What actions are actually used depends on remedation components.

In the Shivering-Isles infrastructure CrowdSec is used in local-mode only with a local-API (lapi) server hosted on Kubernetes and remidation components deployed on all remote and entry systems.

The Security engine is fed by Loki, utilising the centralised logging capabilities, reducing the amount of software and privileges that need to be deployed.

Links
---

- [Homepage](https://www.crowdsec.net/)
- [Documentation](https://doc.crowdsec.net/docs/next/intro)
- [Source Code](https://github.com/crowdsecurity/crowdsec)
- [Helm Chart](https://artifacthub.io/packages/helm/crowdsec/crowdsec)
- [CrowdSec Hub](https://hub.crowdsec.net)
