Forecastle
===

Forecastle is a app dashboard integrated with Kubernetes allowing Ingress Resources to be added to the dashboard using a few annotations.

```yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    #…
    annotations:
        forecastle.stakater.com/expose: "true"
        forecastle.stakater.com/appName: Example app
        forecastle.stakater.com/group: Example Group
        forecastle.stakater.com/icon: https://icon.example.com/image.jpg
```

This provides easy overview over all the Shivering Isles applications. Using [`oauth2-proxy`](../components/oauth2-proxy.md) access to the dashboard is restricted to authenticated users.

Links
---

- [Source Code](https://github.com/stakater/Forecastle)
- [Helm Chart](https://artifacthub.io/packages/helm/stakater/forecastle)
- [Issue Tracker](https://github.com/stakater/Forecastle/issues)
