# Mastodon

Mastodon is the Fediverse software run in the Shivering-Isles infrastructure. It is currently running as a single-user instance.

<iframe src="https://www.youtube-nocookie.com/embed/IPSbNdBmWKE" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

The instance is currently deployed using a [helm chart](../charts/mastodon.md) maintained as part of the GitOps repository.

## SSO Enforcement

Since Mastodon itself has no configuration to enforce the presence of specific claims or roles, an oauth-proxy setup in front of the `/auth/` section preventing clients from reaching the callback URL for OIDC authentication, without passing through the oauth2-proxy which can enforce the presence of a role.

While the result in a double redirect to OIDC, once by the oauth2-proxy and once by Mastodon itself, it makes sure that there is proper enforcement of the roles without requiring modification of Mastodon.

Links
---

- [Source Code](https://github.com/mastodon/mastodon)
- [Documentation](https://docs.joinmastodon.org/)
- [Helm Chart](https://artifacthub.io/packages/helm/si-gitops/mastodon)
- [Unofficial Matrix Room](https://matrix.to/#/#mastodon-administration:shivering-isles.com)
