oauth2-proxy
===

The Shivering-Isles infrastructure utilises oauth2-proxy as an authentication gateway for applications that are not intended for internet exposure. Utilising the [`ingress-nginx` feature](https://kubernetes.github.io/ingress-nginx/examples/auth/oauth-external-auth/#key-detail) to delegate authentication to an application before passing traffic on to the actual application, oauth2-proxy is used to ensure SSO protection for apps with limited [OIDC](https://en.wikipedia.org/w/index.php?title=OpenID&oldid=1242252232#OpenID_Connect_(OIDC)) support.

This includes apps like [Paperless](../apps/paperless.md), that use `oauth2-proxy` to configure [step-up authentication](../apps/keycloak.md#authentication-configuration) and ensure short lived sessions.

The `oauth2-proxy` installation is provided by a [shared component](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/blob/d604f5666e9ed2320a391e1476e4dead74ef3ac3/shared/components/oauth2-proxy/README.md).