# Operating System

After running 2 years on Fedora Server, the Shivering-Isles infrastructure has migrated to Talos Linux as host OS.

The benefits of using Talos Linux over Fedora as host OS underneath Kubernetes, are divers, starting from the immutable nature of the OS along with the stronger SecureBoot features, due to using [UKI](https://uapi-group.org/specifications/specs/unified_kernel_image/) with an easy to use setup-keys mechanism. It also drops the need to [build the container runtime and kubernetes packages ourselves](https://copr.fedorainfracloud.org/coprs/sheogorath/kubernetes-1.29/). Finally Talos has a very minimal OS approach comparable to [Google's ContainerOS](https://cloud.google.com/container-optimized-os/).

This of course means that some features are lost, like Cockpit support and SELinux.

## Talos Linux

> Talos is a container optimized Linux distro; a reimagining of Linux for distributed systems such as Kubernetes. Designed to be as minimal as possible while still maintaining practicality. For these reasons, Talos has a number of features unique to it.

[Talos](https://talos.dev) is managed using the Talos API, which is very similar and partitially integrated with the Kubernetes API. It's used for the initial setup and future node management.

In the Shivering-Isles infrastructure, Talos is managed with a tool called [talhelper](https://budimanjojo.github.io/talhelper/) which provides the needed ability to have the operating system definition declarative.

[Node and Kubernetes upgrades are done using the system-upgrades-controller.](https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/tree/7f6d0e6a55f3faeebe326dfd6a98775ea4bd6f36/infrastructure/base/system-upgrades/talos)

Finally to make up for the lack of SELinux, Talos provides hardened defaults and additionally [gVisor](components/gvisor.md) as container runtime.

Some important factors for using Talos over other OSes were:

- modern software versions  
- TPM-based LUKS encryption
- gvisor support
- automated updates
- No SSH / non-kubernetes access to the node
- Purpose built for Kubernetes
